Bug 179325 - net/svnup: Segmentation fault in the latest version
Summary: net/svnup: Segmentation fault in the latest version
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Jason Helfman
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-06-05 10:10 UTC by Alexey Markov
Modified: 2013-06-09 04:40 UTC (History)
0 users

See Also:


Attachments
file.txt (3.11 KB, text/plain)
2013-06-05 10:10 UTC, Alexey Markov
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Alexey Markov 2013-06-05 10:10:01 UTC
Latest version (0.73) of svnup get constant segmentation faults while trying update /usr/src. Full backtrace is attached to this PR.

Fix: Patch attached with submission follows:
How-To-Repeat: host:redrat/1# cc -Wall -g3 -ggdb -o svnup svnup.c -lmd -lssl
host:redrat/1# gdb ./svnup
GNU gdb 6.1.1 [FreeBSD]
Copyright 2004 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and you are
welcome to change it and/or distribute copies of it under certain conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB.  Type "show warranty" for details.
This GDB was configured as "amd64-marcel-freebsd"...
(gdb) run release
Starting program: /arc/home/redrat/1/svnup release
# Revision: 251405

Program received signal SIGSEGV, Segmentation fault.
0x0000000000409c48 in main (argc=2, argv=0x7fffffffea80) at svnup.c:2301
2301                            if (file[f]->download == 0) {


host:redrat/1# cat /usr/local/etc/svnup.conf
# $FreeBSD$
#
# Default configuration options for svnup.conf

[defaults]
work_directory=/var/db/svnup
host=svn.freebsd.org
#host=svn0.us-west.freebsd.org
#host=svn0.us-east.freebsd.org
#protocol=https
protocol=svn
verbosity=1
trim_tree=0

[ports]
branch=ports/head
target=/arc/home/redrat/ports

[release]
branch=base/releng/8.4
target=/arc/home/redrat/src

#[stable]
#branch=base/stable/8

#[current]
#branch=base/head
Comment 1 Edwin Groothuis freebsd_committer 2013-06-05 10:10:13 UTC
Responsible Changed
From-To: freebsd-ports-bugs->jgh

jgh@ wants this port PRs (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2013-06-05 10:10:14 UTC
Maintainer of net/svnup,

Please note that PR ports/179325 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/179325

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2013-06-05 10:10:15 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 dfilter service freebsd_committer 2013-06-09 04:37:02 UTC
Author: jgh
Date: Sun Jun  9 03:36:49 2013
New Revision: 320312
URL: http://svnweb.freebsd.org/changeset/ports/320312

Log:
  - update to 0.90
  
  svnup-0.9 - 8 June 2013
  - Added a new command line and show all files that exist in the
    target directory structure that do not exist in the repository.
  - Fixed bug with the way the progress indicator is displayed.
  - Fixed segmentation fault that occurred when using the svn protocol
    and displaying the progress indicator.
  
  PR:		179325
  Reported by:	redrat@mail.ru
  Submitted by:	maintainer, jcm@visi.com

Modified:
  head/net/svnup/Makefile
  head/net/svnup/distinfo

Modified: head/net/svnup/Makefile
==============================================================================
--- head/net/svnup/Makefile	Sun Jun  9 02:04:27 2013	(r320311)
+++ head/net/svnup/Makefile	Sun Jun  9 03:36:49 2013	(r320312)
@@ -1,7 +1,7 @@
 # $FreeBSD$
 
 PORTNAME=	svnup
-PORTVERSION=	0.73
+PORTVERSION=	0.90
 CATEGORIES=	net
 MASTER_SITES=	http://jcm.dsl.visi.com/freebsd/svnup/ \
 		LOCAL/jgh/net/${PORTNAME}/

Modified: head/net/svnup/distinfo
==============================================================================
--- head/net/svnup/distinfo	Sun Jun  9 02:04:27 2013	(r320311)
+++ head/net/svnup/distinfo	Sun Jun  9 03:36:49 2013	(r320312)
@@ -1,2 +1,2 @@
-SHA256 (svnup-0.73.tar.xz) = a6c8fb2748a0eb22f7a9382484a950f26cfebed347ebfb2b049f914df387dd73
-SIZE (svnup-0.73.tar.xz) = 17756
+SHA256 (svnup-0.90.tar.xz) = 766d5caedd500430c8595dd2f0a0c0024137138a68e1002ece9083c122179caa
+SIZE (svnup-0.90.tar.xz) = 18068
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 5 Jason Helfman freebsd_committer 2013-06-09 04:37:14 UTC
State Changed
From-To: feedback->closed

fixed in r320312